---
title: llarp::apple::Context

---

# llarp::apple::Context





Inherits from llarp::Context

## Public Functions

|                | Name           |
| -------------- | -------------- |
| std::shared_ptr< [vpn::Platform](Classes/classllarp_1_1vpn_1_1Platform.md) > | **[makeVPNPlatform](Classes/structllarp_1_1apple_1_1Context.md#function-makevpnplatform)**() override |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| VPNInterface::packet_write_callback | **[m_PacketWriter](Classes/structllarp_1_1apple_1_1Context.md#variable-m-packetwriter)**  |
| VPNInterface::on_readable_callback | **[m_OnReadable](Classes/structllarp_1_1apple_1_1Context.md#variable-m-onreadable)**  |
| llarp_route_callbacks | **[route_callbacks](Classes/structllarp_1_1apple_1_1Context.md#variable-route-callbacks)**  |
| void * | **[callback_context](Classes/structllarp_1_1apple_1_1Context.md#variable-callback-context)**  |

## Public Functions Documentation

### function makeVPNPlatform

```cpp
inline std::shared_ptr< vpn::Platform > makeVPNPlatform() override
```


## Public Attributes Documentation

### variable m_PacketWriter

```cpp
VPNInterface::packet_write_callback m_PacketWriter;
```


### variable m_OnReadable

```cpp
VPNInterface::on_readable_callback m_OnReadable;
```


### variable route_callbacks

```cpp
llarp_route_callbacks route_callbacks {};
```


### variable callback_context

```cpp
void * callback_context = nullptr;
```


-------------------------------

Updated on 2025-01-26 at 05:10:09 +0000